package cn.iocoder.yudao.module.pms.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

public interface ErrorCodeConstant{
    ErrorCode IOT_PRODUCT_CLASSIFY_NOT_EXISTS = new ErrorCode(100, "设备分类不存在");
    ErrorCode IOT_DEVICE_NOT_EXISTS = new ErrorCode(101, "设备台账不存在");
    ErrorCode IOT_DEPT_NOT_SELECTED = new ErrorCode(101, "请选择施工队伍");
    ErrorCode IOT_DEVICE_EXISTED = new ErrorCode(101, "设备台账已存在");
    ErrorCode NOT_EXISTS = new ErrorCode( 122, "供应商主数据不存在");
    ErrorCode SUPPLIER_UPDATE_AUDIT_STATUS_FAIL_NOT_PROCESS = new ErrorCode(1-060-000-002, "更新供应商审核状态失败，原因：供应商不是审核中状态");
    ErrorCode NAME_EXISTED = new ErrorCode( 133, "名称重复");
    ErrorCode IOT_MODEL_NOT_EXISTS = new ErrorCode(102, "规格型号不存在");
    ErrorCode IOT_MATERIAL_GROUP_NOT_EXISTS = new ErrorCode(103, "物料组不存在");
    ErrorCode IOT_MATERIAL_NOT_EXISTS = new ErrorCode(104, "物料不存在");
    ErrorCode IOT_DEVICE_TEMPLATE_ATTRS_NOT_EXISTS = new ErrorCode(105, "设备模板属性不存在");
    ErrorCode IOT_DEVICE_TEMPLATE_ATTRS_EXISTS = new ErrorCode(152, "设备模板属性已经存在");
    ErrorCode IOT_DEVICE_TEMPLATE_NOT_EXISTS = new ErrorCode(106, "设备模板不存在");
    ErrorCode IOT_BOM_NOT_EXISTS = new ErrorCode(107, "BOM 关系不存在");
    ErrorCode IOT_DEVICE_MATERIAL_NOT_EXISTS = new ErrorCode(108, "设备BOM物料关联不存在");
    ErrorCode IOT_DEVICE_BOM_NOT_EXISTS = new ErrorCode(109, "设备BOM 关系不存在");
    ErrorCode IOT_INFO_NOT_EXISTS = new ErrorCode( 122, "资料数据不存在");
    ErrorCode IOT_TREE_NOT_EXISTS = new ErrorCode(122, "pms树不存在");
    ErrorCode IOT_COMMON_BOM_MATERIAL_NOT_EXISTS = new ErrorCode(123, "设备分类公共BOM挂载物料关联不存在");
    ErrorCode IOT_COMMON_BOM_MATERIAL_EXISTS = new ErrorCode(127, "当前BOM节点已经存在此物料");
    ErrorCode IOT_DEVICE_CATEGORY_TEMPLATE_NOT_EXISTS = new ErrorCode(124, "设备分类属性公用模板不存在");
    ErrorCode IOT_DEVICE_CATEGORY_TEMPLATE_ATTRS_NOT_EXISTS = new ErrorCode(125, "设备分类公共模板属性不存在");
    ErrorCode IOT_INFO_EXISTS = new ErrorCode(126, "存在子分类");
    ErrorCode IOT_FAILURE_REPORT_NOT_EXISTS = new ErrorCode(127, "故障上报不存在");
    ErrorCode IOT_MAINTAIN_NOT_EXISTS = new ErrorCode(128, "维修工单不存在");
    ErrorCode IOT_LOCK_STOCK_NOT_EXISTS = new ErrorCode(129, "PMS 本地 库存不存在");
    ErrorCode IOT_OUTBOUND_NOT_EXISTS = new ErrorCode(130, "PMS 出库不存在");
    ErrorCode IOT_SAP_STOCK_NOT_EXISTS = new ErrorCode(131, "PMS SAP 库存(通用库存/项目部库存)不存在");
    ErrorCode IOT_MAINTAIN_MATERIAL_NOT_EXISTS = new ErrorCode(129, "工单物料不存在");
    ErrorCode IOT_INFORMATION_DB_NOT_EXISTS = new ErrorCode(130, "知识库不存在");
    ErrorCode IOT_LOCK_STOCK_FUSHU = new ErrorCode(131, "超过本地库存");
    ErrorCode IOT_MAINTENANCE_SAME_DEVICE_EXISTS = new ErrorCode(163, "已经存在相同设备的保养计划 {}");
    ErrorCode IOT_MAIN_PLAN_ORDER_EXISTS = new ErrorCode(163, "请先维护保养项关联的保养计划或保养工单");
    ErrorCode IOT_MAINTENANCE_PLAN_NOT_EXISTS = new ErrorCode(133, "保养计划明细不存在");
    ErrorCode IOT_MAINTENANCE_DETAILS_NOT_EXISTS = new ErrorCode(134, "保养计划明细不存在");
    ErrorCode IOT_STORAGE_AREA_NOT_EXISTS = new ErrorCode(131, "PMS 库区不存在");
    ErrorCode IOT_SHELVES_NOT_EXISTS = new ErrorCode(132, "PMS 货架不存在");
    ErrorCode IOT_CARGO_LOCATION_NOT_EXISTS = new ErrorCode(133, "PMS 货位不存在");
    ErrorCode IOT_INSPECT_ITEM_NOT_EXISTS = new ErrorCode(134, "巡检项不存在");
    ErrorCode IOT_MAINTENANCE_BOM_NOT_EXISTS = new ErrorCode(135, "PMS 保养计划明细BOM不存在");
    ErrorCode IOT_MAIN_PLAN_BOM_MATERIAL_NOT_EXISTS = new ErrorCode(136, "PMS 保养计划明细设备BOM挂载物料关联不存在");
    ErrorCode IOT_INSPECT_ROUTE_NOT_EXISTS = new ErrorCode(134, "巡检项不存在");
    ErrorCode IOT_INSPECT_PLAN_NOT_EXISTS = new ErrorCode(135, "巡检计划不存在");
    ErrorCode IOT_INSPECT_ORDER_NOT_EXISTS = new ErrorCode(136, "巡检工单不存在");
    ErrorCode IOT_INSPECT_ORDER_DETAIL_NOT_EXISTS = new ErrorCode(137, "巡检工单巡检明细不存在");
    ErrorCode IOT_MAIN_WORK_ORDER_DETAILS_NOT_EXISTS = new ErrorCode(138, "保养工单详情不存在");
    ErrorCode IOT_MAIN_WORK_ORDER_BOM_NOT_EXISTS = new ErrorCode(138, "保养工单BOM不存在");
    ErrorCode IOT_MAIN_WORK_ORDER_BOM_MATERIAL_NOT_EXISTS = new ErrorCode(139,"bom物料不存在");
    ErrorCode IOT_MAINTENANCE_PLAN_NO_EXISTS = new ErrorCode(140,"维修计划不存在");
    ErrorCode IOT_MAIN_WORK_ORDER_NOT_EXISTS = new ErrorCode(141,"保养工单不存在");
    ErrorCode IOT_MAIN_WORK_ORDER_EXECUTED = new ErrorCode(241,"保养工单已执行");
    ErrorCode IOT_DEVICE_RUN_LOG_NOT_EXISTS = new ErrorCode(142, "设备运行数据记录 中间表不存在");
    ErrorCode DEVICE_NOT_EXISTS = new ErrorCode(143, "延凡设备不存在");
    ErrorCode IOT_OPEATION_MODEL_NOT_EXISTS = new ErrorCode(135, "运行记录模板主不存在");
    ErrorCode IOT_OPEATION_FILL_NOT_EXISTS = new ErrorCode(136, "运行记录填报不存在");
    ErrorCode IOT_MAINTAIN_MATERIALS_NOT_EXISTS = new ErrorCode(144, "维修工单对应物料不存在");
    ErrorCode IOT_MAINTAIN_BOM_NOT_EXISTS = new ErrorCode(145, "维修工单对应维修项BOM不存在");
    ErrorCode THINGS_MODEL_NOT_EXISTS = new ErrorCode(146, "物模型不存在");
    ErrorCode IOT_MAINTAIN_BOMS_NOT_EXISTS = new ErrorCode(147, "请选择维修工单对应BOM");
    ErrorCode IOT_SAP_PICKING_LIST_NOT_EXISTS = new ErrorCode(147, "PMS SAP 领料单不存在");
    ErrorCode IOT_DEVICE_PERSON_NOT_EXISTS = new ErrorCode(148, "设备负责人分配不存在");
    ErrorCode IOT_DEVICE_STATUS_LOG_NOT_EXISTS = new ErrorCode(149, "设备状态调整日志不存在");
    ErrorCode IOT_DEVICE_ALLOT_LOG_NOT_EXISTS = new ErrorCode(150, "设备调拨日志不存在");
    ErrorCode IOT_DEVICE_PERSON_LOG_NOT_EXISTS = new ErrorCode(151, "设备责任人日志不存在");
    ErrorCode IOT_SAP_SYNC_LOG_NOT_EXISTS = new ErrorCode(153, "操作日志记录 V2 版本不存在");
    ErrorCode IOT_MATERIAL_REQUISITION_NOT_EXISTS = new ErrorCode(154, "物料领用不存在");
    ErrorCode IOT_MATERIAL_REQUISITION_DETAIL_NOT_EXISTS = new ErrorCode(155, "PMS 物料领用明细不存在");
    ErrorCode IOT_PROJECT_INFO_NOT_EXISTS = new ErrorCode(152, "项目信息不存在");
    ErrorCode IOT_PROJECT_TASK_NOT_EXISTS = new ErrorCode(153, "该任务不存在");
    ErrorCode IOT_PROJECT_TASK_NOT_RELATED = new ErrorCode(264, "当前部门没有关联项目任务");
    ErrorCode PRODUCT_EXITS_CHILDREN = new ErrorCode(1_002_004_003, "存在子分类，无法删除");
    ErrorCode INSPECT_DEVICE_CHANGE = new ErrorCode(154, "设备已调拨");
    ErrorCode IOT_APP_NOT_EXISTS = new ErrorCode(155, "app版本不存在");
    ErrorCode IOT_ATTACHMENT_NOT_EXISTS = new ErrorCode(1_002_004_004, "附件不存在");
    ErrorCode IOT_PROJECT_TASK_SCHEDULE_NOT_EXISTS = new ErrorCode(1_002_004_005, "项目任务时间表/施工进度不存在");
    ErrorCode IOT_OPERATION_PLAN_NOT_EXISTS = new ErrorCode(156, "运行记录计划不存在");
    ErrorCode IOT_OPERATION_PLAN_DEV_NOT_EXISTS = new ErrorCode(157, "运行记录计划设备不存在");
    ErrorCode IOT_PROJECT_TASK_TEMPLATE_NOT_EXISTS = new ErrorCode(257, "项目任务属性模板不存在");
    ErrorCode IOT_PROJECT_TASK_ATTRS_NOT_EXISTS = new ErrorCode(258, "项目任务扩展属性不存在");
    ErrorCode IOT_OPEATION_FILL_NOT_EXISTS1 = new ErrorCode(259, "该工单已执行!");
    ErrorCode IOT_DAILY_REPORT_TEMPLATE_NOT_EXISTS = new ErrorCode(260, "生产日报属性模板不存在");
    ErrorCode IOT_DAILY_REPORT_ATTRS_NOT_EXISTS = new ErrorCode(261, "日报扩展模板属性不存在");
    ErrorCode IOT_PROJECT_DAILY_REPORT_NOT_EXISTS = new ErrorCode(262, "项目日报不存在");
    ErrorCode IOT_RH_DAILY_REPORT_NOT_EXISTS = new ErrorCode(263, "瑞恒日报不存在");
    ErrorCode IOT_RH_DAILY_REPORT_NO_DATE = new ErrorCode(265, "未传递运行记录生成日期");
    ErrorCode IOT_RH_DAILY_REPORT_NO_DEPT = new ErrorCode(266, "未传递运行记录所属部门");
    ErrorCode IOT_RY_DAILY_REPORT_NOT_EXISTS = new ErrorCode(267, "瑞鹰日报不存在");
    ErrorCode IOT_RY_DAILY_REPORT_CURRENT_DEPTH_NOT_EXISTS = new ErrorCode(268, "未传递运行记录当前井深");
    ErrorCode IOT_SAP_STOCK_LOG_NOT_EXISTS = new ErrorCode(269, "PMS SAP 库存(sap同步的原始数据日志)不存在");
    ErrorCode IOT_RD_DAILY_REPORT_NOT_EXISTS = new ErrorCode(270, "瑞都日报不存在");
    ErrorCode IOT_RD_DAILY_REPORT_EXISTS = new ErrorCode(283, "瑞都日报已经存在");
    ErrorCode IOT_RD_DAILY_REPORT_ITEM_NOT_EXISTS = new ErrorCode(271, "瑞都日报 (工作量)明细不存在");
    ErrorCode IOT_DAILY_REPORT_TIME_NOT_EXISTS = new ErrorCode(272, "未传递创建时间查询参数");
    ErrorCode IOT_DAILY_REPORT_DEPT_NOT_EXISTS = new ErrorCode(273, "未选择项目部");
    ErrorCode IOT_DEPT_TYPE_NOT_EXISTS = new ErrorCode(274, "部门类型不存在");
    ErrorCode IOT_CAR_ZHBD_NOT_EXISTS = new ErrorCode(275, "中航北斗车辆表不存在");
    ErrorCode IOT_DAILY_REPORT_FUEL_NOT_EXISTS = new ErrorCode(276, "日报-油耗不存在");
    ErrorCode IOT_AUTHENTICATION_NOT_EXISTS = new ErrorCode(277, "认证不存在");
    ErrorCode IOT_RD_DAILY_REPORT_DETAIL_NOT_EXISTS = new ErrorCode(278, "瑞都日报明细(生产动态拆分)不存在");
    ErrorCode IOT_RY_DAILY_REPORT_DETAIL_NOT_EXISTS = new ErrorCode(279, "瑞鹰日报明细(生产动态拆分)不存在");
    ErrorCode IOT_RD_NO_WORK_DAILY_REPORT_EXISTS = new ErrorCode(280, "无工作量日报已经存在");
    ErrorCode IOT_OPERATION_MEETING_NOT_EXISTS = new ErrorCode(281, "生产运营会不存在");
    ErrorCode IOT_OPERATION_MEETING_EXISTS = new ErrorCode(281, "当期生产运营会已经存在");
    ErrorCode IOT_OPERATION_MEETING_DETAIL_NOT_EXISTS = new ErrorCode(282, "生产运营会明细不存在");
    ErrorCode IOT_OPERATION_MEETING_ATTRS_NOT_EXISTS = new ErrorCode(284, "专业公司工作量扩展属性不存在");
    ErrorCode IOT_DEVICE_MAX_RUN_LOG_NOT_EXISTS = new ErrorCode(285, "设备运行数据记录最大值不存在");
    ErrorCode IOT_WEBTOPO_PROJECT_NOT_EXISTS = new ErrorCode(286, "组态项目列不存在");
    ErrorCode IOT_WEBTOPO_DEVICE_SVGNODE_NOT_EXISTS = new ErrorCode(287, "组态-svg与设备绑定不存在");
    ErrorCode IOT_WEBTOPO_PROJECT_DEVICE_NOT_EXISTS = new ErrorCode(288, "组态项目关联设备不存在");
    ErrorCode IOT_WEBTOPO_DEVICE_SVGNODE_EXISTS = new ErrorCode(290, "组态-svg与设备绑定已经存在");
    ErrorCode IOT_DEVICE_ASSOCIATE_NOT_EXISTS = new ErrorCode(289, "设备关联表(如：瑞都主要设备)不存在");
    ErrorCode IOT_RY_IMPROVE_DAILY_REPORT_NOT_EXISTS = new ErrorCode(300, "瑞鹰项目启动设备整改不存在");
    ErrorCode IOT_RY_HI_DAILY_REPORT_NOT_EXISTS = new ErrorCode(400, "瑞鹰历史日报不存在");
    ErrorCode IOT_RY_IMPROVE_DAILY_REPORT_DETAIL_NOT_EXISTS = new ErrorCode(500, "瑞鹰设备整改日报明细(生产动态拆分)不存在");
    ErrorCode IOT_FIVE_DAILY_REPORT_NOT_EXISTS = new ErrorCode(600, "5#国日报不存在");
    ErrorCode IOT_PROJECT_TASK_PLAN_NOT_EXISTS = new ErrorCode(700, "日报任务计划(工作量)不存在");
    ErrorCode IOT_PROJECT_TASK_PLAN_EXISTS = new ErrorCode(700, "部门当前月份的工作量计划已经存在");
    /***
     * 数字油藏
     */
    ErrorCode LAS_WELL_NOT_EXISTS = new ErrorCode(1000, "数字油藏LAS数据文件-井信息不存在");
    ErrorCode LAS_WELL_DATA_NOT_EXISTS = new ErrorCode(1001, "数字油藏LAS数据文件-测井数据不存在");
}
